Subject: Re: [PATCH] net: mvneta: properly disable HW PHY polling and ensure adjust_link() works

From: Thomas Petazzoni <[email-masked]>
Date: Thu, 5 Sep 2013 11:24:32 +0200

Dear Willy Tarreau,

On Thu, 5 Sep 2013 11:11:47 +0200, Willy Tarreau wrote:

> 
> > Note that this can be done without doing any change in the bootloader.
> > For example, on a Mirabox, you can do:
> > 
> >    mw.l 0xD0072414 0x5C93; mw.l 0xD0072418 0xF0AD4E01; mw.l 0xD0076414 0x5C94; mw.l 0xD0076418 0xF0AD4E01; bootm
> > 
> > to boot your kernel. This will program the MAC addresses for both
> > network interfaces in the network controllers, so that when booting
> > Linux, you get:
> > 
> > [   42.122881] mvneta d0070000.ethernet eth0: Using hardware mac address f0:ad:4e:01:5c:93
> > [   42.385398] mvneta d0074000.ethernet eth1: Using hardware mac address f0:ad:4e:01:5c:94
> > 
> > You add that to your default U-Boot boot script, and that's it, you
> > have stable MAC addresses.
> 
> Hmmm that's quite interesting. Unfortunately I don't see an easy way to
> make this directly rely on the ethaddr/eth1addr so that end users can
> simply cut-n-paste a few lines into the u-boot config. But anyway that
> can be useful.

I thought about this as well, but I don't think that's possible, the
U-Boot scripting/parsing capabilities seems to be too limited to
achieve that, unfortunately.

Best regards,

Thomas
-- 
Thomas Petazzoni, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com